<template>
  <div class="q-pa-md q-gutter-y-md column items-start">
    <div class="column" style="width: 100%; ">
      <div class="col">
        <q-btn-group push>
          <q-btn push label="Tambah User" icon="add" color="blue" to="/user/tambah" />
        </q-btn-group>
      </div>

      <div class="col" style="width: 100%; margin-top: 20px">
        <q-card style="width: 100%;">
          <q-card-section style="background: #61cb34">
            <q-item>
              <q-item-section>
                User Manager
              </q-item-section>
            </q-item>
          </q-card-section>

          <q-card-section>
            <q-tabs
              v-model="tab"
              dense
              class="text-grey"
              active-color="green"
              indicator-color="green"
              align="justify"
              narrow-indicator
            >
              <q-tab name="Semua" label="Semua" />
              <q-tab name="Tayang" label="PLATINUM" />
              <q-tab name="Diperiksa" label="GOLD" />
              <q-tab name="Arsip" label="SILVER" />
            </q-tabs>
          </q-card-section>
          <q-separator/>
          <q-card-section>
            <q-tab-panels v-model="tab" animated >
              <q-tab-panel name="Semua" style="padding: 0px;">
                <table-user style="margin: 0px; padding: 0px" />
              </q-tab-panel>

              <q-tab-panel name="Tayang">
                LEVEL PLATINUM
              </q-tab-panel>

              <q-tab-panel name="Diperiksa">
                LEVEL GOLD
              </q-tab-panel>

              <q-tab-panel name="Arsip">
                LEVEL SILVER
              </q-tab-panel>

            </q-tab-panels>
          </q-card-section>
        </q-card>
      </div>
    </div>
  </div>
</template>

<script>
import TableUser from "components/Table/TableUser";
export default {
  name: "ListAllUser",

  components: {
    TableUser
  },

  data() {
    return {
      filterDiv: false,
      tab: "Semua"
    }
  }
}
</script>

<style scoped>

</style>
